package cz.muni.makub.model;

import java.util.List;

/**
 * Rozhraní pro manažera knih. Obsahuje základní CRUD (Create-Retrieve-Update-Delete) operace.
 */
public interface BookManager {

    void createBook(Book book);

    Book getBookById(int id);

    List<Book> getAllBooks();

    void updateBook(Book book);

    void deleteBook(Book book);

    List<String> findBookNamesBySubstring(String substr);

    List<Book> findBooksByName(String name);

}
